Clean up keys directory in checkconf test

The keys directory should be cleaned up in clean.sh. Doing that in the
test itself isn't reliable which may lead to failing mkdir which causes
the test to fail with set -e.

(cherry picked from commit 062dfac28e)
This commit is contained in:
Tom Krizek 2023-07-24 18:35:13 +02:00
parent e927dd4609
commit 744185f524
No known key found for this signature in database
GPG key ID: 01623B9B652A20A7
2 changed files with 2 additions and 3 deletions

View file

@ -21,5 +21,6 @@ rm -f diff.out*
rm -f good-kasp.conf.in
rm -f good-server-christmas-tree.conf
rm -f good.conf.in good.conf.out badzero.conf *.out
rm -rf keys
rm -f ns*/named.lock
rm -rf test.keydir

View file

@ -18,7 +18,7 @@ set -e
status=0
n=0
mkdir keys
mkdir -p keys
n=$((n + 1))
echo_i "checking that named-checkconf handles a known good config ($n)"
@ -657,7 +657,5 @@ grep -F "warning: ownername 'foo.*.check-wildcard' contains an non-terminal wild
if [ $ret != 0 ]; then echo_i "failed"; ret=1; fi
status=$((status + ret))
rmdir keys
echo_i "exit status: $status"
[ $status -eq 0 ] || exit 1